ASNOptional< T > Class Template Reference

Optional data encoder and decoder. More...

`#include <asn.h>`

Inheritance diagram for ASNOptional< T >:

## Public Member Functions

void | BERDecode (BERSequenceDecoder &seqDecoder, byte tag, byte mask=~CONSTRUCTED)
| BER decode optional data.
void | DEREncode (BufferedTransformation &out)
| DER encode optional data.
Public Member Functions inherited from member_ptr< T >
| member_ptr (T *p=NULL)
const T & | operator* () const
T & | operator* ()
const T * | operator-> () const
T * | operator-> ()
const T * | get () const
T * | get ()
T * | release ()
void | reset (T *p=NULL)

## Detailed Description

template<class T>
class ASNOptional< T >

Optional data encoder and decoder.

Template Parameters

  T | class or type

Definition at line 654 of file asn.h.

## Member Function Documentation

## BERDecode()

template<class T >

void ASNOptional< T >::BERDecode | ( | BERSequenceDecoder & | seqDecoder,
|  | byte | tag,
|  | byte | mask = `~CONSTRUCTED`
| ) |  |

inline

BER decode optional data.

Parameters

  seqDecoder | sequence with the optional ASN.1 data
  tag | ASN.1 tag to match as optional data
  mask | the mask to apply when matching the tag

See also
  ASNTag and ASNIdFlag

Definition at line 662 of file asn.h.

## DEREncode()

template<class T >

void ASNOptional< T >::DEREncode | ( | BufferedTransformation & | out | ) |

inline

DER encode optional data.

Parameters

  out | BufferedTransformation object

Definition at line 671 of file asn.h.

The documentation for this class was generated from the following file:

- asn.h